## $Revision: 1.80 $, $Date: 2010/11/13 12:09:32 $
#
# Conditional build:
%bcond_without	ssl	# build without encryption ability
#
Summary:	Virtual tunnel over TCP/IP networks
Summary(pl.UTF-8):	Wirtualne tunele poprzez sieci TCP/IP
Name:		vtun
Version:	3.0.2
Release:	4
Epoch:		2
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/vtun/%{name}-%{version}.tar.gz
# Source0-md5:	d3d8bc4d58886498a1c338670eab9315
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch1:		%{name}-autoheader.patch
Patch2:		%{name}-sslauth.patch
Patch3:		%{name}-linking.patch
URL:		http://vtun.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	lzo-devel >= 2.0.1
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Obsoletes:	vppp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var

%description
VTun provides the method for creating Virtual Tunnels over TCP/IP
networks and allows to shape, compress, encrypt traffic in that
tunnels. Supported type of tunnels are: PPP, IP, Ethernet and most of
other serial protocols and programs. VTun is easily and highly
configurable, it can be used for various network task like VPN, Mobil
IP, Shaped Internet access, IP address saving, etc. It is completely
user space implementation and does not require modification to any
kernel parts. You need SSLeay-devel and lzo-devel to build it.

%description -l pl.UTF-8
VTun umożliwia tworzenie tuneli poprzez sieci TCP/IP wraz z
przydzielaniem pasma, kompresją, szyfrowaniem danych w tunelach.
Wspierane typy tuneli to: PPP, IP, Ethernet i większość pozostałych
protokołów szeregowych. VTun jest łatwy i elastyczny w konfiguracji.
Może zostać wykorzystany do takich sieciowych zastosowań jak VPN,
Mobil IP, łącza o określonym paśmie oraz innych. Działa w warstwie
user space, więc nie wymaga dodatkowego wsparcia w jądrze.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.* .
# aclocal.m4 is only local, don't try to rebuild
#%{__autoheader}
%{__autoconf}
%configure \
	%{?with_ssl:--with-crypto-headers=%{_includedir}/openssl} \
	%{!?with_ssl:--disable-ssl} \
	--enable-lzo
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_localstatedir}/log/vtun}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_OWNER=""

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/vtund
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/vtun
touch $RPM_BUILD_ROOT%{_sysconfdir}/vtund.conf
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/vtun.8
echo ".so vtund.8" > $RPM_BUILD_ROOT%{_mandir}/man8/vtun.8

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add vtund
%service vtund restart "vtun daemons"

%preun
if [ "$1" = "0" ]; then
	%service vtund stop
	/sbin/chkconfig --del vtund
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog Credits README README.Setup README.Shaper FAQ TODO vtund.conf
%attr(754,root,root) /etc/rc.d/init.d/vtund
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/vtun
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vtund.conf
%attr(755,root,root) %{_sbindir}/vtund
%attr(755,root,root) %dir /var/log/vtund
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vtun.spec,v $
Revision 1.80  2010/11/13 12:09:32  pawelz
- release 4

Revision 1.79  2010/04/12 19:31:25  arekm
- release 3

Revision 1.78  2009/02/08 17:05:53  arekm
- release 2

Revision 1.77  2008/09/01 15:00:13  tommat
- builds on all archs
- rel 1, STBR

Revision 1.76  2008/09/01 14:56:25  tommat
- removed outdated patches
- updated sslauth patch
- renumerated patches

Revision 1.75  2008/05/31 01:04:25  zbyniu
- up to 3.0.2

Revision 1.74  2008-03-15 09:46:44  djrzulf
- started updated do 3.0.1, seems to be work,
- rel 0.1,

Revision 1.73  2007-06-02 18:30:52  areq
- rm symlink vtun.8

Revision 1.72  2007/06/02 18:22:12  areq
- no symlink vtun.8

Revision 1.71  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.70  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.69  2006/12/12 17:08:51  glen
- rel 4 (rebuild with lzo2)

Revision 1.68  2006/09/03 19:19:36  tommat
- fixed init script
- rel 3

Revision 1.67  2006/08/03 02:31:04  sparky
- added linking patch

Revision 1.66  2006/03/13 23:14:32  glen
- use %service

Revision 1.65  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.64  2005/07/18 20:59:26  areq
- add lzo2.patch

Revision 1.63  2004/06/12 19:49:16  krolik
- updated pl description

Revision 1.62  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.61  2004/03/14 01:04:38  qboosh
- release 2

Revision 1.60  2004/03/14 01:00:59  qboosh
- refresh config.sub

Revision 1.59  2004/03/13 22:01:25  averne
- rel 1 for Ac

Revision 1.58  2004/02/23 16:21:35  qboosh
- proper ac fix

Revision 1.57  2004/02/22 18:40:08  areq
- add ac.patch

Revision 1.56  2004/02/15 15:10:51  eothane
- bcond style, changelog cleanups

Revision 1.55  2003/09/30 20:18:36  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.54  2003/05/27 21:49:27  wiget
- updated to 2.6 (only patch4 must be forward ported)
- don't install vtund.conf with default passwords (security issue)
  but include it in docs for reference

Revision 1.53  2003/05/27 10:00:17  wiget
- md5

Revision 1.52  2003/05/25 06:27:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.51  2003/03/12 16:07:50  qboosh
- working Source URL, cosmetics

Revision 1.50  2003/02/19 18:39:40  djrzulf
- release 6, to build against openssh 0.9.7,
- STBR,

Revision 1.49  2003/02/13 14:06:57  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.48  2002/11/29 22:47:02  ankry
- massive attack: new %%doc

Revision 1.47  2002/10/26 09:00:53  djrzulf
- release++,
- updated vtun.sysconfig,

Revision 1.46  2002/10/16 10:59:10  wrobell
- rel. 4 due to fixed init file
- stb

Revision 1.45  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.44  2002/05/21 23:14:54  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.43  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.42  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/02/18 00:59:33  kloczek
- fixed commit log.

Revision 1.40  2002/02/18 00:45:33  rrw
- finally enabled Arturcz Czechowski's patch allowing to ssl enabled vtun
  client connect to non-ssl enabled server (and vice-versa);
- release 3;

Revision 1.39  2002/02/18 00:42:48  rrw
- *** empty log message ***

Revision 1.38  2002/02/17 23:08:11  kloczek
- adapterized.

Revision 1.37  2002/02/17 21:38:19  rrw
- upgrade to vtun-2.5;
- removed obsolete iproute patch;
- added patch to bison source file allowing it to compile;
- sslauth option patch on hold for now since it changes default behaviour
  of vtund (would cause problems after upgrade);
- epoch: 2 (for rpm 2.5b1 is higher than 2.5);
- release: 1;

Revision 1.36  2002/01/18 02:15:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/11/08 11:33:23  zagrodzki
- autoheader and getpt patch
- call autoheader
- rel. 6

Revision 1.34  2001/10/11 09:58:20  qboosh
- BuildRequires: automake

Revision 1.33  2001/10/04 12:35:45  rrw
- added conditional --without ssl; I need it, OK?
- release 5;

Revision 1.32  2001/09/25 16:29:57  kloczek
- spec adapterized.

Revision 1.31  2001/09/25 14:13:31  qboosh
- release 4: Prereq: /sbin/chkconfig

Revision 1.30  2001/08/20 23:54:21  rrw
- added example config with iproute2;
- release 3;

Revision 1.29  2001/08/20 23:29:28  rrw
- added patch adding "ip" option for iproute command;
- release 2;

Revision 1.28  2001/08/20 21:17:49  rrw
- updated to version 2.5b1 (needed for linux 2.4 tun/tap support);
- added flex and bison to buildrequires: (needed to build);
- release 1;

Revision 1.27  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.25  2001/05/09 01:34:51  kloczek
- release 5: rebuild against openssl 0.9.6a.

Revision 1.24  2001/04/22 01:35:47  kloczek
- release 4: fixed init script (mis).

Revision 1.23  2001/04/10 20:25:03  kloczek
- cosmetics.

Revision 1.22  2001/04/10 19:17:12  mis
- added sysconfig file (release 3)

Revision 1.21  2001/02/25 04:06:57  kloczek
- release 2: added rc-scripts to Prereq.

Revision 1.20  2001/02/13 20:18:42  kloczek
- added automake, autoconf to BuildRequires list.

Revision 1.19  2001/02/13 20:01:24  zagrodzki
- added aclocal/autoconf

Revision 1.18  2001/02/12 17:37:34  zagrodzki
- updated to 2.4

Revision 1.17  2000/11/24 17:56:02  kloczek
- updated to 2.4b1.

Revision 1.16  2000/11/24 17:42:30  misiek
- added pl description

Revision 1.15  2000/10/02 14:50:21  kloczek
- release 2: rebuild using new rpm.

Revision 1.14  2000/09/24 19:08:40  kloczek
- added misssing "BuildRequires: lzo-devel" rule.

Revision 1.13  2000/09/23 13:05:28  kloczek
- adapterized.

Revision 1.12  2000/09/23 12:20:28  waszi
- updated to 2.3

Revision 1.11  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.10  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/06/07 23:09:23  kloczek
- updated to 2.2,
- updated URL and Source url.

Revision 1.8  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.7  2000/04/10 06:22:10  kloczek
- cosmetics.

Revision 1.6  2000/04/10 06:15:29  waszi
- updated to 2.1b4

Revision 1.5  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.3  2000/03/20 22:05:41  kloczek
- added BuildRequires rules,
- standarized %post, %preun scripts,
- cosmetics.

Revision 1.2  2000/03/18 00:17:41  waszi
- updated to 2.1b3

Revision 1.1  2000/02/20 09:39:06  waszi
- initial release

* Tue Nov 23 1999 Dag Wieers <dag@mind.be>
- Added Url and Obsoletes-headers
- Added changelog ;)
- Changed summary
